# tc_waveform_opt_t Struct Reference

`#include <tc.h>`

## Detailed Description

Parameters when initializing a timer/counter in waveform mode.

Definition at line 272 of file tc.h.

## Data Fields
unsigned int | acpa: 2
| RA compare effect on TIOA: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | acpc: 2
| RC compare effect on TIOA: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | aeevt: 2
| External event effect on TIOA: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | aswtrg: 2
| Software trigger effect on TIOA: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | bcpb: 2
| RB compare effect on TIOB: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | bcpc: 2
| RC compare effect on TIOB: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | beevt: 2
| External event effect on TIOB: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | bswtrg: 2
| Software trigger effect on TIOB: TC_EVT_EFFECT_NOOP; TC_EVT_EFFECT_SET; TC_EVT_EFFECT_CLEAR; TC_EVT_EFFECT_TOGGLE.
unsigned int | burst: 2
| Burst signal selection: TC_BURST_NOT_GATED; TC_BURST_CLK_AND_XC0; TC_BURST_CLK_AND_XC1; TC_BURST_CLK_AND_XC2.
unsigned int | channel
| Channel to initialize.
unsigned int | clki: 1
| Clock invert: TC_CLOCK_RISING_EDGE; TC_CLOCK_FALLING_EDGE.
unsigned int | cpcdis: 1
| Counter clock disable with RC compare: `FALSE`; `TRUE`.
unsigned int | cpcstop: 1
| Counter clock stopped with RC compare: `FALSE`; `TRUE`.
unsigned int | eevt: 2
| External event selection: TC_EXT_EVENT_SEL_TIOB_INPUT; TC_EXT_EVENT_SEL_XC0_OUTPUT; TC_EXT_EVENT_SEL_XC1_OUTPUT; TC_EXT_EVENT_SEL_XC2_OUTPUT.
unsigned int | eevtedg: 2
| External event edge selection: TC_SEL_NO_EDGE; TC_SEL_RISING_EDGE; TC_SEL_FALLING_EDGE; TC_SEL_EACH_EDGE.
unsigned int | enetrg: 1
| External event trigger enable: `FALSE`; `TRUE`.
unsigned | int: 1
unsigned int | tcclks: 3
| Clock selection: TC_CLOCK_SOURCE_TC1; TC_CLOCK_SOURCE_TC2; TC_CLOCK_SOURCE_TC3; TC_CLOCK_SOURCE_TC4; TC_CLOCK_SOURCE_TC5; TC_CLOCK_SOURCE_XC0; TC_CLOCK_SOURCE_XC1; TC_CLOCK_SOURCE_XC2.
unsigned int | wavsel: 2
| Waveform selection: TC_WAVEFORM_SEL_UP_MODE; TC_WAVEFORM_SEL_UP_MODE_RC_TRIGGER; TC_WAVEFORM_SEL_UPDOWN_MODE; TC_WAVEFORM_SEL_UPDOWN_MODE_RC_TRIGGER.

## Field Documentation

unsigned int tc_waveform_opt_t::acpa

RA compare effect on TIOA:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 331 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::acpc

RC compare effect on TIOA:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 324 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::aeevt

External event effect on TIOA:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 317 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::aswtrg

Software trigger effect on TIOA:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 310 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::bcpb

RB compare effect on TIOB:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 303 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::bcpc

RC compare effect on TIOB:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 296 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::beevt

External event effect on TIOB:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 289 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::bswtrg

Software trigger effect on TIOB:

- TC_EVT_EFFECT_NOOP;
- TC_EVT_EFFECT_SET;
- TC_EVT_EFFECT_CLEAR;
- TC_EVT_EFFECT_TOGGLE.

Definition at line 282 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::burst

Burst signal selection:

- TC_BURST_NOT_GATED;
- TC_BURST_CLK_AND_XC0;
- TC_BURST_CLK_AND_XC1;
- TC_BURST_CLK_AND_XC2.

Definition at line 376 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::channel

Channel to initialize.

Definition at line 275 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::clki

Clock invert:

- TC_CLOCK_RISING_EDGE;
- TC_CLOCK_FALLING_EDGE.

Definition at line 381 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::cpcdis

Counter clock disable with RC compare:

- `FALSE`;
- `TRUE`.

Definition at line 364 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::cpcstop

Counter clock stopped with RC compare:

- `FALSE`;
- `TRUE`.

Definition at line 369 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::eevt

External event selection:

- TC_EXT_EVENT_SEL_TIOB_INPUT;
- TC_EXT_EVENT_SEL_XC0_OUTPUT;
- TC_EXT_EVENT_SEL_XC1_OUTPUT;
- TC_EXT_EVENT_SEL_XC2_OUTPUT.

Definition at line 352 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::eevtedg

External event edge selection:

- TC_SEL_NO_EDGE;
- TC_SEL_RISING_EDGE;
- TC_SEL_FALLING_EDGE;
- TC_SEL_EACH_EDGE.

Definition at line 359 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::enetrg

External event trigger enable:

- `FALSE`;
- `TRUE`.

Definition at line 345 of file tc.h.

Referenced by tc_init_waveform().

unsigned tc_waveform_opt_t::int

Definition at line 333 of file tc.h.

unsigned int tc_waveform_opt_t::tcclks

Clock selection:

- TC_CLOCK_SOURCE_TC1;
- TC_CLOCK_SOURCE_TC2;
- TC_CLOCK_SOURCE_TC3;
- TC_CLOCK_SOURCE_TC4;
- TC_CLOCK_SOURCE_TC5;
- TC_CLOCK_SOURCE_XC0;
- TC_CLOCK_SOURCE_XC1;
- TC_CLOCK_SOURCE_XC2.

Definition at line 392 of file tc.h.

Referenced by tc_init_waveform().

unsigned int tc_waveform_opt_t::wavsel

Waveform selection:

- TC_WAVEFORM_SEL_UP_MODE;
- TC_WAVEFORM_SEL_UP_MODE_RC_TRIGGER;
- TC_WAVEFORM_SEL_UPDOWN_MODE;
- TC_WAVEFORM_SEL_UPDOWN_MODE_RC_TRIGGER.

Definition at line 340 of file tc.h.

Referenced by tc_init_waveform().